// Code generated by client-gen. DO NOT EDIT.

package v1alpha2

import (
	v1alpha2 "github.com/kyma-project/kyma/components/application-registry/pkg/apis/istio/v1alpha2"
	scheme "github.com/kyma-project/kyma/components/application-registry/pkg/client/clientset/versioned/scheme"
	v1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	watch "k8s.io/apimachinery/pkg/watch"
	rest "k8s.io/client-go/rest"
)

// ChecknothingsGetter has a method to return a ChecknothingInterface.
// A group's client should implement this interface.
type ChecknothingsGetter interface {
	Checknothings(namespace string) ChecknothingInterface
}

// ChecknothingInterface has methods to work with Checknothing resources.
type ChecknothingInterface interface {
	Create(*v1alpha2.Checknothing) (*v1alpha2.Checknothing, error)
	Update(*v1alpha2.Checknothing) (*v1alpha2.Checknothing, error)
	Delete(name string, options *v1.DeleteOptions) error
	DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error
	Get(name string, options v1.GetOptions) (*v1alpha2.Checknothing, error)
	List(opts v1.ListOptions) (*v1alpha2.ChecknothingList, error)
	Watch(opts v1.ListOptions) (watch.Interface, error)
	Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha2.Checknothing, err error)
	ChecknothingExpansion
}

// checknothings implements ChecknothingInterface
type checknothings struct {
	client rest.Interface
	ns     string
}

// newChecknothings returns a Checknothings
func newChecknothings(c *IstioV1alpha2Client, namespace string) *checknothings {
	return &checknothings{
		client: c.RESTClient(),
		ns:     namespace,
	}
}

// Get takes name of the checknothing, and returns the corresponding checknothing object, and an error if there is any.
func (c *checknothings) Get(name string, options v1.GetOptions) (result *v1alpha2.Checknothing, err error) {
	result = &v1alpha2.Checknothing{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("checknothings").
		Name(name).
		VersionedParams(&options, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// List takes label and field selectors, and returns the list of Checknothings that match those selectors.
func (c *checknothings) List(opts v1.ListOptions) (result *v1alpha2.ChecknothingList, err error) {
	result = &v1alpha2.ChecknothingList{}
	err = c.client.Get().
		Namespace(c.ns).
		Resource("checknothings").
		VersionedParams(&opts, scheme.ParameterCodec).
		Do().
		Into(result)
	return
}

// Watch returns a watch.Interface that watches the requested checknothings.
func (c *checknothings) Watch(opts v1.ListOptions) (watch.Interface, error) {
	opts.Watch = true
	return c.client.Get().
		Namespace(c.ns).
		Resource("checknothings").
		VersionedParams(&opts, scheme.ParameterCodec).
		Watch()
}

// Create takes the representation of a checknothing and creates it.  Returns the server's representation of the checknothing, and an error, if there is any.
func (c *checknothings) Create(checknothing *v1alpha2.Checknothing) (result *v1alpha2.Checknothing, err error) {
	result = &v1alpha2.Checknothing{}
	err = c.client.Post().
		Namespace(c.ns).
		Resource("checknothings").
		Body(checknothing).
		Do().
		Into(result)
	return
}

// Update takes the representation of a checknothing and updates it. Returns the server's representation of the checknothing, and an error, if there is any.
func (c *checknothings) Update(checknothing *v1alpha2.Checknothing) (result *v1alpha2.Checknothing, err error) {
	result = &v1alpha2.Checknothing{}
	err = c.client.Put().
		Namespace(c.ns).
		Resource("checknothings").
		Name(checknothing.Name).
		Body(checknothing).
		Do().
		Into(result)
	return
}

// Delete takes name of the checknothing and deletes it. Returns an error if one occurs.
func (c *checknothings) Delete(name string, options *v1.DeleteOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("checknothings").
		Name(name).
		Body(options).
		Do().
		Error()
}

// DeleteCollection deletes a collection of objects.
func (c *checknothings) DeleteCollection(options *v1.DeleteOptions, listOptions v1.ListOptions) error {
	return c.client.Delete().
		Namespace(c.ns).
		Resource("checknothings").
		VersionedParams(&listOptions, scheme.ParameterCodec).
		Body(options).
		Do().
		Error()
}

// Patch applies the patch and returns the patched checknothing.
func (c *checknothings) Patch(name string, pt types.PatchType, data []byte, subresources ...string) (result *v1alpha2.Checknothing, err error) {
	result = &v1alpha2.Checknothing{}
	err = c.client.Patch(pt).
		Namespace(c.ns).
		Resource("checknothings").
		SubResource(subresources...).
		Name(name).
		Body(data).
		Do().
		Into(result)
	return
}
